org.apache.lucene.search.highlight

## Class SimpleHTMLFormatter

- java.lang.Object
- - org.apache.lucene.search.highlight.SimpleHTMLFormatter

All Implemented Interfaces:
  Formatter

    public class SimpleHTMLFormatter
    extends Object
    implements Formatter

Simple `Formatter` implementation to highlight terms with a pre and post tag.

### Constructor Summary

Constructors
Constructor and Description
`SimpleHTMLFormatter()` Default constructor uses HTML: <B> tags to markup terms.
`SimpleHTMLFormatter(String preTag, String postTag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `highlightTerm(String originalText, TokenGroup tokenGroup)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleHTMLFormatter

    public SimpleHTMLFormatter(String preTag,
                               String postTag)

#### SimpleHTMLFormatter

    public SimpleHTMLFormatter()

Default constructor uses HTML: <B> tags to markup terms.

### Method Detail

#### highlightTerm

    public String highlightTerm(String originalText,
                                TokenGroup tokenGroup)

Specified by:
  `highlightTerm` in interface `Formatter`
Parameters:
  `originalText` - The section of text being considered for markup
  `tokenGroup` - contains one or several overlapping Tokens along with their scores and positions.